aboutsummaryrefslogtreecommitdiff
path: root/test/test-compilers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-compilers.sh')
-rwxr-xr-xtest/test-compilers.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/test-compilers.sh b/test/test-compilers.sh
new file mode 100755
index 00000000..b47cf38d
--- /dev/null
+++ b/test/test-compilers.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+echo Testing compilers ...
+for cc in afl-cc afl-gcc afl-clang afl-clang-fast afl-clang-lto afl-gcc-fast; do
+ test -e ../$cc && { { ../$cc -o t ../test-instr.c >/dev/null 2<&1 && echo Success: $cc ; } || echo Failing: $cc ; } || echo Missing: $cc
+done
+rm -f t
+echo Done!